Bug 339 - smbd seg faults when it gets a bad kerberos encryption type.
smbd seg faults when it gets a bad kerberos encryption type.
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All Linux
: P3 normal
: 3.0.0rc2
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 10:55 UTC by david williams
Modified: 2005-11-14 09:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david williams 2003-08-22 10:55:45 UTC
smbclient -L machine -k -U windows_user says:
Call return zero bytes

the end of the log.machine says :

[2003/08/22 09:45:29, 10] libads/kerberos_verify.c:ads_verify_ticket(175)
  ads_verify_ticket: enc type [16] failed to decrypt with error Bad encryption type
[2003/08/22 09:45:29, 3] libads/kerberos_verify.c:ads_verify_ticket(175)
  ads_verify_ticket: enc type [3] failed to decrypt with error Decrypt integrity
check failed
[2003/08/22 09:45:29, 10] libads/kerberos_verify.c:ads_verify_ticket(175)
  ads_verify_ticket: enc type [1] failed to decrypt with error Bad encryption type
[2003/08/22 09:45:29, 10] passdb/secrets.c:secrets_named_mutex_release(709)
  secrets_named_mutex: released mutex for replay cache mutex
[2003/08/22 09:45:29, 3] libads/kerberos_verify.c:ads_verify_ticket(182)
  ads_verify_ticket: krb5_rd_req with auth failed (Bad encryption type)
[2003/08/22 09:45:29, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2003/08/22 09:45:29, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 6310 (3.0.0rc1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/08/22 09:45:29, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/08/22 09:45:29, 0] lib/util.c:smb_panic(1462)
  PANIC: internal error
[2003/08/22 09:45:29, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 15 stack frames:
   #0 ../sbin/smbd(smb_panic+0xfc) [0x817f320]
   #1 ../sbin/smbd [0x8170c4f]
   #2 /lib/tls/libc.so.6 [0x420276f8]
   #3 ../sbin/smbd(ads_verify_ticket+0x23e) [0x81c910a]
   #4 ../sbin/smbd [0x809dba5]
   #5 ../sbin/smbd [0x809e3c0]
   #6 ../sbin/smbd [0x809e6d5]
Comment 1 Gerald (Jerry) Carter 2003-08-28 21:37:22 UTC
I think this is fixed in RC2 which should be on tomorrow.  Please 
retest then and reopen thsi bug if we still crash.
Comment 2 Gerald (Jerry) Carter 2005-02-07 09:05:02 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:20:36 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:24:15 UTC
database cleanup